SFDDIFF(1)

NAME
sfddiff - compare two font files

SYNOPSIS
sfddiff [--help] [--ignorehints] [--ignorenames] [--ignoregpos] [--ignoregsub] [--ignorebitmaps] [--exact] [--warn] [--merge outfile] [--usage] [--version] fontfile1 fontfile2

DESCRIPTION
The program sfddiff compares two font files, which may be in any format fontforge(1) can read. It will notice the following differences:

1)  Characters are present in one font but not in the other.

2)  Characters are present in both fonts but have different sets of outlines or references. The outlines may be compared so that only exact matches are accepted, or so that a fuzzier match is used. Similarly references may need to match exactly, or may be matched after an unlink.

    This fuzzy comparison is useful when comparing truetype and postscript fonts, or when comparing a font with references to one without.

3)  The postscript hints or truetype instructions are different.

4)  The font names (the truetype `name' table) differ.

5)  The kerning (and other `gpos' information) differs.

6)  The ligatures (and other `gsub' information) differ.

7)  Any bitmap strikes present in one font but not in the other.

8)  Any bitmap characters present in one strike of one font but in the equivalent strike of the other.

9)  Any bitmap characters which differ.

OPTIONS

--help
    Provide a description with a list of the available options.

--ignorehints
    Suppress the reporting of hint/instruction differences.

--ignoregpos
    Suppress the reporting of kerning (and other `gpos') differences.

--ignoregsub
    Suppress the reporting of ligature (and other `gsub') differences.

--ignorenames
    Suppress the reporting of name string differences.

--ignorebitmaps
    Suppress the reporting of bitmap differences.

--exact
    Require outlines to match exactly.

--warn
    Warn if the outlines/references are slightly different.

--merge outfile
    Store a merged version of the two fonts into the specified output file. The merged data will be based on sfdfile1, as well as any characters present in sfdfile2 but not in sfdfile1 will be added, and the outlines of sfdfile2 will be placed in the background. Finally, for any characters with different outlines or references the background of the the character will contain the outlines from sfdfile2 (references will be unlinked into outlines and those outlines also will be added).

--usage
    Display the usage description.

--version
    Display the current version.

SEE ALSO
fontforge(1)

The HTML version of the fontforge manual at:

    http://fontforge.sourceforge.net/

AUTHOR
Copyright (C) 2000-2006 by George Williams (gww@silcom.com). Manual page heavily rewritten and modified to use standard -man(5) macros by R.P.C. Rodgers (rodgers@nlm.nih.gov), 23 October 2002.